CVE-2019-19787

Click the icon to Follow me:- twitterTelegramRedditDiscord

Summary:

ATasm 1.06 has a stack-based buffer overflow in the get_signed_expression() function in setparse.c via a crafted .m65 file.

Reference Links(if available):

  • https://sourceforge.net/p/atasm/bugs/10/
  • https://lists.fedoraproject.org/archives/list/[email protected]/message/YZJYUV3PKSIGBZGJ6PXAGTT2LW6HLPMS/
  • https://lists.fedoraproject.org/archives/list/[email protected]/message/O6XQMOLMWHUDBN3PQJYGVULLNUBMGGJH/
  • https://lists.fedoraproject.org/archives/list/[email protected]/message/KUABDG4CEAY2FVPM3CFFCZMOKSTEKGXX/
  • CVSS Score (if available)

    v2: / MEDIUMAV:N/AC:M/Au:N/C:P/I:P/A:P

    v3: / HIGHCVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

    Links to Exploits(if available)

  • Available for Amazon Prime